%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-tripleo
Version:        6.3.0
Release:        12%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=6.3.0
Patch0001: 0001-Default-neutron-dhcp_agents_per_network-to-number-of.patch
Patch0002: 0002-mariadb-Move-generation-of-systemd-drop-in-to-puppet.patch
Patch0003: 0003-Stop-the-chronyd-service.patch
Patch0004: 0004-Throw-warnings-for-norpm-actions.patch
Patch0005: 0005-Add-missing-include-of-ec2api-keystone-authtoken.patch
Patch0006: 0006-Add-bindep-support.patch
Patch0007: 0007-Fixes-issues-with-raising-mysql-file-limit.patch
Patch0008: 0008-panko-Do-db_sync-in-api-manifest.patch
Patch0009: 0009-Correct-haproxy-s-stat-unix-socket-path.patch
Patch0010: 0010-Ensure-iscsi-initiator-utils-installed.patch
Patch0011: 0011-Explicitly-configure-credentials-used-by-ironic-to-a.patch
Patch0012: 0012-Re-run-gnocchi-and-ceilometer-upgrade-in-step-5.patch
Patch0013: 0013-Check-rabbitmq-user-at-step-2.patch
Patch0014: 0014-Move-horizon-to-step-3.patch
Patch0015: 0015-Add-tunnel-timeout-for-ui-proxy-container.patch
Patch0016: 0016-Decouple-ceilometer-user-create-from-API.patch
Patch0017: 0017-Fix-deprecated-eqlx-parameters.patch
Patch0018: 0018-Fixes-missing-neutron-base-in-sriov.patch
Patch0019: 0019-Deploy-WSGI-apps-at-the-same-step-3.patch
Patch0020: 0020-Make-the-cluster-check-property-configurable.patch
Patch0021: 0021-Add-a-trigger-to-call-ldap_backend-define.patch
Patch0022: 0022-Add-missing-octavia-auth-include-to-keystone-manifes.patch
Patch0023: 0023-syntax-error-extra-comma-in-rabbitmq.pp.patch
Patch0024: 0024-Update-Gemfile-to-pull-spec_helper-from-stable-ocata.patch
Patch0025: 0025-Ensure-we-configure-ssl.conf.patch
Patch0026: 0026-Add-support-for-livemigration-of-ssh.patch
Patch0027: 0027-Add-a-flag-to-rabbitmq-so-that-we-can-deploy-with-ha.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet-systemd
Requires:       puppet >= 2.7.0

%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Thu Apr 27 2017 Mike Burns <mburns@redhat.com> 6.3.0-12
- Add a flag to rabbitmq so that we can deploy with ha-mode: all again (rhbz#1441635)
- Add support for livemigration of ssh (rhbz#1428593)

* Mon Apr 24 2017 Mike Burns <mburns@redhat.com> 6.3.0-11
- Ensure we configure ssl.conf (rhbz#1441977)
- Update Gemfile to pull spec_helper from stable/ocata (rhbz#1441977)

* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-10
- syntax error extra comma in rabbitmq.pp
- Add missing octavia auth include to keystone manifest
- Add a trigger to call ldap_backend define (rhbz#1259035)
- Make the cluster-check property configurable (rhbz#1438879)

* Tue Apr 11 2017 Steve Linabery <slinaber@redhat.com> 6.3.0-9
- Deploy WSGI apps at the same step (3) (rhbz#1441760)
- Fixes missing neutron base in sriov
- Fix deprecated eqlx parameters
- Decouple ceilometer user create from API (rhbz#1437207)
- Add tunnel timeout for ui proxy container (rhbz#1432188 rhbz#1433733)

* Wed Apr 05 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-8
- Move horizon to step 3 (rhbz#1438602)

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-7
- Check rabbitmq user at step >= 2

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-6
- Re-run gnocchi and ceilometer upgrade in step 5 (rhbz#1434361)
- Explicitly configure credentials used by ironic to access other services

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-5
- Ensure iscsi-initiator-utils installed (rhbz#1435378)
- Correct haproxy's stat unix socket path (rhbz#1428915)
- panko: Do db_sync in api manifest
- Fixes issues with raising mysql file limit
- Add bindep support

* Tue Mar 28 2017 Sven Anderson <sven@redhat.com> 6.3.0-4
- Add missing include of ::ec2api::keystone::authtoken (rhbz#1341170)

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 6.3.0-3
- add Requires on puppet-systemd

* Mon Mar 20 2017 Steve Linabery <slinaber@redhat.com> 6.3.0-2
- Throw warnings for norpm actions
- Stop the chronyd service
- mariadb: Move generation of systemd drop-in to puppet-tripleo
- Default neutron dhcp_agents_per_network to number of agents

* Wed Mar 08 2017 Steve Linabery <slinaber@redhat.com> 6.3.0-1
- Update to 6.3.0

* Tue Feb 28 2017 Jon Schlueter <jschluet@redhat.com> 6.2.0-2
- Stop accidentally removing docker-distribution
- Create /etc/my.cnf.d/tripleo.cnf with proper bind-address
- Enable languages in UI config
- Add virtual_packages support to norpm provider

* Thu Feb 16 2017 Alfredo Moralejo <amoralej@redhat.com> 6.2.0-1
- Update to 6.2.0


